| Home | Libraries | People | FAQ | More

###### param::operator= (1 of 4 overloads)

Assignment.

###### Synopsis

    param&
    operator=(
        param&& other);

###### Description

Upon assignment, this acquires ownership of the members of other via move assignment. The moved from object is as if default constructed.

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### other The object to assign from.